summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2009-11-13 22:21:04 +0000
committerRoy Marples <roy@marples.name>2009-11-13 22:21:50 +0000
commit89a2d76772ae889068316c8a47df4ee13bac09f1 (patch)
treeb7e77567e98b44ffc1254de4129ffc118be127b5
parent80d4ce3a11e28394724cff32073302265933c06d (diff)
downloadopenrc-89a2d76772ae889068316c8a47df4ee13bac09f1.tar.gz
openrc-89a2d76772ae889068316c8a47df4ee13bac09f1.tar.bz2
openrc-89a2d76772ae889068316c8a47df4ee13bac09f1.tar.xz
Rework around new kbd-1.15.1, Gentoo #289265.
-rw-r--r--init.d/keymaps.in30
1 files changed, 13 insertions, 17 deletions
diff --git a/init.d/keymaps.in b/init.d/keymaps.in
index 55fd868..dcac389 100644
--- a/init.d/keymaps.in
+++ b/init.d/keymaps.in
@@ -15,7 +15,7 @@ start()
{
ttyn=${rc_tty_number:-${RC_TTY_NUMBER:-12}}
: ${unicode:=$UNICODE}
- : =${keymap:=$KEYMAP}
+ : ${keymap:=$KEYMAP}
: ${extended_keymaps:=$EXTENDED_KEYMAPS}
: ${windowkeys:=$SET_WINDOWSKEYS}
: ${fix_euro:=$FIX_EURO}
@@ -34,31 +34,16 @@ start()
echo 1 > /proc/sys/dev/mac_hid/keyboard_sends_linux_keycodes
fi
- ebegin "Loading key mappings [$keymap]"
- local loadkeys_uni= wkeys= kmode="-a" msg="ASCII"
+ local wkeys= kmode="-a" msg="ASCII"
if yesno $unicode; then
- loadkeys_uni="--unicode"
kmode="-u"
msg="UTF-8"
fi
yesno $windowkeys && wkeys="windowkeys"
- loadkeys -q $loadkeys_uni $wkeys $keymap $extended_keymaps
- eend $? "Error loading key mappings" || return $?
-
- if yesno $fix_euro; then
- ebegin "Fixing font for euro symbol"
- # Fix some fonts displaying the Euro, #173528.
- echo "altgr keycode 18 = U+20AC" | loadkeys -q
- eend $?
- fi
# Set terminal encoding to either ASCII or UNICODE.
# See utf-8(7) for more information.
ebegin "Setting keyboard mode [$msg]"
- if yesno $unicode; then
- dumpkeys ${dumpkeys_charset:+-c} \
- $dumpkeys_charset | loadkeys --unicode
- fi
n=1
while [ $n -le $ttyn ]; do
kbd_mode $kmode -C $ttydev$n
@@ -66,6 +51,17 @@ start()
done
eend 0
+ ebegin "Loading key mappings [$keymap]"
+ loadkeys -q $wkeys $keymap $extended_keymaps
+ eend $? "Error loading key mappings" || return $?
+
+ if yesno $fix_euro; then
+ ebegin "Fixing font for euro symbol"
+ # Fix some fonts displaying the Euro, #173528.
+ echo "altgr keycode 18 = U+20AC" | loadkeys -q
+ eend $?
+ fi
+
# Save the keymapping for use immediately at boot
if [ -w "$RC_LIBEXECDIR" ]; then
mkdir -p "$RC_LIBEXECDIR"/console